Last Comment Bug 792509 - Make it possible to build the Metro UI on non-Windows platforms
: Make it possible to build the Metro UI on non-Windows platforms
Status: RESOLVED FIXED
[completed-elm]
:
Product: Firefox for Metro
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All Windows 8.1
: -- normal (vote)
: ---
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
Depends on: 792487 797533 944937
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 11:55 PDT by Matt Brubeck (:mbrubeck)
Modified: 2014-07-24 11:06 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (10.06 KB, patch)
2012-09-19 11:55 PDT, Matt Brubeck (:mbrubeck)
no flags Details | Diff | Splinter Review
patch v2 (8.85 KB, patch)
2012-09-19 11:59 PDT, Matt Brubeck (:mbrubeck)
jmathies: review+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2012-09-19 11:55:32 PDT
Created attachment 662648 [details] [diff] [review]
patch

Building and running in -metrodesktop mode on Linux or Mac might be useful to Firefox contributors or add-on developers who want to try out something in Metro Firefox but don't have convenient access to a Window development box.
Comment 1 Matt Brubeck (:mbrubeck) 2012-09-19 11:59:44 PDT
Created attachment 662649 [details] [diff] [review]
patch v2

Restore some lines that I shouldn't have removed.
Comment 2 Jim Mathies [:jimm] 2012-09-19 12:11:45 PDT
Comment on attachment 662649 [details] [diff] [review]
patch v2

Review of attachment 662649 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me!

::: browser/metro/base/content/browser-scripts.js
@@ +33,5 @@
>  XPCOMUtils.defineLazyServiceGetter(this, "MetroUtils",
>                                     "@mozilla.org/windows-metroutils;1",
>                                     "nsIWinMetroUtils");
> +#else
> +// Stub nsIWinMetroUtils implementation for testing on non-Windows platforms:

Might want to add a note in nsIWinMetroUtils about this being here.
Comment 3 Matt Brubeck (:mbrubeck) 2012-09-19 13:44:53 PDT
Pushed with added comment and rebased to deal with bug 771271:
https://hg.mozilla.org/projects/elm/rev/b8f56dbcec24
Comment 4 Matt Brubeck (:mbrubeck) 2013-01-27 00:47:04 PST
Re-landed a hunk that was accidentally reverted in a merge:
https://hg.mozilla.org/projects/elm/rev/73ab012e69bc
Comment 6 Phil Ringnalda (:philor) 2013-01-27 20:10:20 PST
https://hg.mozilla.org/mozilla-central/rev/7a6aae4391df

Note You need to log in before you can comment on or make changes to this bug.